commit:     b5ad473ac75c0eb3ab11a5e92cd326466bbe7b1c
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Mon Oct 19 21:11:58 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Mon Oct 19 21:11:58 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b5ad473a

dev-python/httpstat: bump to v1.3.0

Package-Manager: Portage-3.0.8, Repoman-3.0.2
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-python/httpstat/Manifest              |  1 +
 dev-python/httpstat/httpstat-1.3.0.ebuild | 28 ++++++++++++++++++++++++++++
 2 files changed, 29 insertions(+)

diff --git a/dev-python/httpstat/Manifest b/dev-python/httpstat/Manifest
index 0e2667a7ad5..267979feaf8 100644
--- a/dev-python/httpstat/Manifest
+++ b/dev-python/httpstat/Manifest
@@ -1 +1,2 @@
 DIST httpstat-1.2.1.tar.gz 97012 BLAKE2B 
2c2ae97fe7c5f6563b3b29e8f40ec18ca62ab0efecd81bda404a57f594574d1647b9f72bea644a3e934670c0d142e4e1f9b866ed6cf215cd4183d6f574b252a5
 SHA512 
58636eacc7ad57fc6ab5fe477117547c515828e1dd50980d7c1d7c70d2fd04a8539339331bbf4e8a9ac9fea199626a45e7c3e2e458e11b78fb848027ff7c6a76
+DIST httpstat-1.3.0.tar.gz 97358 BLAKE2B 
e80a3bd6a6bf7dec1e045e39e9b4491cb81623fa432e32f238fedb71a97fcbd3c362d3211b5cee85e8ed293bc7493d8eb262a0821e473f0a7c8df3f2b8c6fa3e
 SHA512 
6620f7d2da8740da9febdc5d0a177890cc5e85a3a41445c3182f6a8906cad05a475b7547737e60331957a5f48e668194d9592f4e53005a5666ef99b704afbc91

diff --git a/dev-python/httpstat/httpstat-1.3.0.ebuild 
b/dev-python/httpstat/httpstat-1.3.0.ebuild
new file mode 100644
index 00000000000..975c753128f
--- /dev/null
+++ b/dev-python/httpstat/httpstat-1.3.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="httpstat visualizes cURL statistics in a way of beauty and 
clarity"
+HOMEPAGE="https://github.com/reorx/httpstat";
+SRC_URI="https://github.com/reorx/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="net-misc/curl:*"
+
+# Requires access to google.com and http2.akamai.com
+RESTRICT="test"
+
+PATCHES=( "${FILESDIR}"/${PN}-1.2.1-gentoo-tests.patch )
+
+python_test() {
+       ./httpstat_test.sh || die
+}

Reply via email to